import request from '@/utils/request'

// 分页查询船舶基本资料列表
export function pageListVessel(query) {
  return request({
    url: '/jxc/vessel/pageList',
    method: 'get',
    params: query
  })
}

// 查询船舶基本资料列表
export function listVessel(query) {
  return request({
    url: '/jxc/vessel/list',
    method: 'get',
    params: query
  })
}

// 查询船舶基本资料详细
export function getVessel(id) {
  return request({
    url: '/jxc/vessel/' + id,
    method: 'get'
  })
}

// 新增船舶基本资料
export function addVessel(data) {
  return request({
    url: '/jxc/vessel',
    method: 'post',
    data: data
  })
}

// 修改船舶基本资料
export function updateVessel(data) {
  return request({
    url: '/jxc/vessel',
    method: 'put',
    data: data
  })
}

// 删除船舶基本资料
export function delVessel(id) {
  return request({
    url: '/jxc/vessel/' + id,
    method: 'delete'
  })
}

// 导出船舶基本资料
export function exportVessel(query) {
  return request({
    url: '/jxc/vessel/' + 'export',
    method: 'post',
    params: query
  })
}
